            $(document).ready(function() {
                 $("body").niceScroll({zindex:900,cursorborder:"1px",cursorcolor:"#084B8A",cursorwidth:"10px",cursoropacitymax:0,boxzoom:false});
                 $(".areaTrabajo").niceScroll({zindex:900,cursorborder:"1px",cursorcolor:"#084B8A",cursorwidth:"10px",cursoropacitymax:0.5,boxzoom:false});
                 $(".opciones").niceScroll({zindex:900,cursorborder:"1px",cursorcolor:"#084B8A",cursorwidth:"10px",cursoropacitymax:0,boxzoom:false});
                 $(".cajaChat").niceScroll({zindex:900,cursorborder:"1px",cursorcolor:"#084B8A",cursorwidth:"10px",cursoropacitymax:0.5,boxzoom:false});
              });
			  var bodyS = $("body").getNiceScroll();
			  var areaTrabajoS = $("body").getNiceScroll();
			  var opcionesS = $("body").getNiceScroll();
			  var cajaChatS = $("body").getNiceScroll();
			  var busquedaS = $("busquedaRapida").getNiceScroll();

			 var bars={};
			 bars.work100=false;
             bars.desliza=function(nm,max,min){
			  if(this.work100){
			     $(".cajaChat").animate({width:"200"});
			     $(nm).animate({width:max});
				 bars.work100=false;
			  }else{
			     $(".cajaChat").animate({width:"0"});
			     $(nm).animate({width:min});
				 bars.work100=true;
			  }
			  
			 };
			 function showChat(){
			    bars.desliza(".areaTrabajo","<?echo (($ancho-400)*100/$ancho)?>%","<?echo (($ancho-200)*100/$ancho)?>%");
				areaTrabajoS.resize();
				cajaChatS.resize();
			 }
			 function busca(v,op,liga){
			     var p=v;var opc=op;
				 if(document.getElementById('buscar').value==""){
				  $("#busqueda").hide();
				 }else{
				 if(p!=""){
				 $.post("busca.php"+liga, { palabra:v,opcion:opc,liga:liga}, function(data){
				     $("#busqueda").css('display','block');
                     $("#busquedaRapida").html(data);
					 busquedaS.resize();					 
                    });
				  }
			   }//else{$("#busquedaRapida").html("");$("#busqueda").hide();busquedaS.resize();}
			 }
			 function buscaobra(id,op,nom,link){
			    var ido=id;var opc=op;var liga;var link;
				document.getElementById('buscar').value=nom;
				if(opc=="obra"){liga="selbuscarobra.php"+link;}
				if(opc=="proveedor"){liga="selbuscarproveedor.php"+link;}
			    if(opc=="vt"){liga="selbuscarproveedor.php"+link;}
			    $.post(liga, { idobra:ido,opcion:opc,link:link}, function(data){
                     $("#resobra").html(data);
                    });
			   $("#busqueda").hide();
			 }	 

			function imprimirr(muestra){
			    var ficha=document.getElementById(muestra);
				var ventimp=window.open(' ','popimpr');
				ventimp.document.write(ficha.innerHTML);
				ventimp.document.close();
				ventimp.print();
				ventimp.close();
              }

			 
             function imprimir(id){
                 var div, imp;
                 div = document.getElementById(id);//seleccionamos el objeto
                 imp = window.open(" ","popimpr"); //damos un titulo
                 //imp.document.open();     //abrimos
                 imp.document.write("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\"><html><head><link type=\"text/css\" href=\"css/estilos.css\" rel=\"stylesheet\"/></head><body>");//agregamos el estilo
                 imp.document.write(div.innerHTML+"</body>");//agregamos el objeto
                 imp.document.close();
                 //imp.location.reload();
                 imp.print();  //Abrimos la opcion de imprimir
                 //imp.close(); //cerramos la ventana nueva despues de imprimir
                }
			 function openForm(id,btn){
				 $(".btntarAct").removeClass("btntarAct");
				 $("#"+btn).addClass("btntarAct");
				 $(".formHide").slideUp();//ocultamos todos los forms
				 $(".formHide2").slideUp();//ocultamos todos los forms
				 $("#infoSocio").slideUp();
				 $("#regrequisicion").slideUp();
				 $("#"+id).slideDown('slow');//seleccionamos el objeto
				 areaTrabajoS.resize();
			 }
			 function openForm2(id2,btn2){
				 $(".btntarAct2").removeClass("btntarAct2");
				 $("#"+btn2).addClass("btntarAct2");
				 $(".formHide2").slideUp();//ocultamos todos los forms
				 $("#"+id2).slideDown('slow');//seleccionamos el objeto
				 areaTrabajoS.resize();
			 }			 
			function validador(id,sta,tt,msg,obl,act){
			     s=true;
			     if(tt==1){lr=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;}//para validar email
			     if(tt==2){lr=/^([a-z]{4})([0-9]{6})([a-z]{6})([0-9]{2})$/i;}//para validar CURP
			     if(tt==3){lr=/^(([A-Z]|[a-z]|\s){1})(([A-Z]|[a-z]){3})([0-9]{6})((([A-Z]|[a-z]|[0-9]){3}))/;}//para validar RFC
				 input=document.getElementById(id);
				 stat=document.getElementById(sta);
				 
				if(input.value==""){stat.innerHTML="<img src='img/mal.png' width='20' height='20'>";input.focus();   
    				 if(obl){
					    s=false;
					 }
				   }else{
				        if(act=="usu"){
						    comprueba(input.value,act);
						}else{
						    if(tt!=""){
				                 if(!lr.test(input.value)){
					                 stat.innerHTML="<img src='img/mal.png' width='20' height='20'><font style='color:#B40404;font-family:arial;margin-top:6px;margin-left:5px;position:absolute;font-size:12px;font-weight:bold;'>"+msg+"</font>";input.focus(); s=false;
					             }else{
					                 stat.innerHTML="<img src='img/ok.png' width='20' height='20'>";
					            }
							}else{
							     stat.innerHTML="<img src='img/ok.png' width='20' height='20'>";
							}
					   }
				   }
				   return s;
			 }
			 function valida(){
			    //st=validador("clave","clavest","","",true,"");
				st=validador("obra","obrast","","",true,"");
				return st;
			 }
			 
n=0;
function crea(id,op){
     n++;
     cont=document.getElementById(id);
	 tr=document.createElement('tr');
	 tr.id="archivo"+id+n;
	 tr.setAttribute("class","tr");
	
	 //td1 = document.createElement('td'); // primer td
	 td2 = document.createElement('td'); // segundo td
	 td3 = document.createElement('td'); // tercer td
	 td4 = document.createElement('td'); // cuarto td
	 td5 = document.createElement('td');
	 td6 = document.createElement('td');
	 td7 = document.createElement('td');
	 ele1 = document.createElement('input'); // 5
	 ele2 = document.createElement('input'); // 5
     ele3 = document.createElement('input'); // 5
     ele4 = document.createElement('input');
	 ele5 = document.createElement('input');
	 //ele6 = document.createElement('input');
	 
	 //primera celda
	 //td1.innerHTML=id;
	 //tr.appendChild(td1);
	 //termina primera celda
	 
	 //tercera celda
	 //td2.setAttribute("align","center");
	 //ele2.name=id+"[]";
	 td2.name="status[]";
	 td2.innerHTML="<select name='std[]' id='std"+n+"'class='selectsa'><option selected></option><option value='EN CURSO'>EN CURSO</option><option value='TERMINADA'>TERMINADA</option></select>";
	 tr.appendChild(td2);

	 ele3.name="prototipo[]";
	 ele3.type="text";
	 ele3.setAttribute("class","inputsa");
	 ele3.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td3.appendChild(ele3);
	 tr.appendChild(td3);
	 //termina tercera celda

	 ele4.name="paquete[]";
	 ele4.type="text";
	 ele4.setAttribute("class","inputsa");
	 ele4.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td4.appendChild(ele4);
	 tr.appendChild(td4);
	 
	 ele5.name="noviv[]";
	 ele5.type="text";
	 ele5.setAttribute("class","inputsa");
	 ele5.setAttribute("onkeyup","this.value=this.value.toUpperCase()");
	 td5.appendChild(ele5);
	 tr.appendChild(td5);
	 
	 //td6.name="tviv[]";
	 td6.innerHTML="<select name='tipoviv[]' id='tipoviv"+n+"' class='selectsa'><option selected></option><option value='DEPARTAMENTOS'>DEPARTAMENTOS</option><option value='MULTIFAMILIAR'>MULTIFAMILIAR</option><option value='UNIFAMILIAR'>UNIFAMILIAR</option></select>";
	 tr.appendChild(td6);
	 
	  td7.innerHTML='<div onclick="borrar(\''+id+'\',\'archivo'+id+n+'\')" class="borrar"><b style="position:absolute;left:820px;margin:-8px auto;cursor:pointer;cursor:hand;"><img src="img/mal.png" width="20" height="20"></b></div>';
	  tr.appendChild(td7);
	  
	  	 //ele5.name="tipo"+id+"[]";
	 /*ele6.name="tipo[]";
	 ele6.type="hidden";
	 ele6.value=id;
	 ele6.size=50;
	 td7.appendChild(ele6);
	 tr.appendChild(td7);*/
	 
	 cont.appendChild(tr);

	 btnupload("subir"+n,"destino"+n,"ruta"+n);
	 document.getElementById("total").value=n;
	 
}

function borrar(id,tr){
     cont=document.getElementById(id);
     obj=document.getElementById(tr);
	 cont.removeChild(obj);
	var button = $('#fake');
	new AjaxUpload('#fake', {
        action: 'upload.php',
		onSubmit : function(file , ext){
		if (! (ext && /^(jpg|jpeg|png|gif|pdf)$/.test(ext))){
			// extensiones permitidas
			alert('Error: Solo se permiten imagenes');
			// cancela upload
			return false;
		} else {
			button.html('<b style="position:absolute;left:4px;cursor:pointer;cursor:hand;">Subiendo</b>');
			this.disable();
		}
		},
		onComplete: function(file, response){
			button.html('<b style="position:absolute;left:20px;cursor:pointer;cursor:hand;">Subir</b>');
			// enable upload button
			this.enable();			
			// Agrega archivo a la lista
			$('#fake').appendTo('.files').text(response);
		}
	});
}
function suma(){
 var cantidad=document.getElementById('cantidad').value;
 var costo=document.getElementById('costo').value;
 var total;
 total=cantidad*costo;
 document.getElementById('importe').value=total;
}
function guardapresupuesto(){
 var des=document.getElementById('descripcion').value;
  var unid=document.getElementById('unidad').value;
   var can=document.getElementById('cantidad').value;
    var cos=document.getElementById('costo').value;
	 var imp=document.getElementById('importe').value;
	  var pro=document.getElementById('prototiporeg').value;
	   var idobra=document.getElementById('idobra').value;
  if(des=="" || unid=="" || can=="" || cos=="" || imp==""){
      alert("Debes llenar todos los campos");
  }else{
 $.post("regpresupuesto.php", { desc:des,unidad:unid,cantidad:can,costo:cos,importe:imp,pro:pro,idobra:idobra}, function(data){
	 $("#guardapresupuesto").html(data);
	 });
	 document.getElementById('descripcion').value="";
	 document.getElementById('unidad').value="";
	 document.getElementById('cantidad').value="";
	 document.getElementById('costo').value="";
	 document.getElementById('importe').value="";
	 }
}
function asignapro(pro){
 $(function(){
    $("input:checkbox.chkclass").click(function(){
      $("input:checkbox.chkclass").not($(this)).removeAttr("checked");
      $(this).attr("checked", $(this).attr("checked"));    
    });
});
  document.getElementById('prototiporeg').value=pro;
}
function verpres(pro,idobra){
	  var proto=pro;
	   var obra=idobra;
 $(function(){
    $("input:checkbox.pre").click(function(){
      $("input:checkbox.pre").not($(this)).removeAttr("checked");
      $(this).attr("checked", $(this).attr("checked"));    
    });
});
 $.post("verpresupuesto.php", {pro:pro,idobra:obra}, function(data){
	 $("#verpre").html(data);
	 });
}
function prototipo(){
 $(function(){
    $("input:checkbox.pro").click(function(){
      $("input:checkbox.pro").not($(this)).removeAttr("checked");
      $(this).attr("checked", $(this).attr("checked"));    
    });
});
}
function prototiporeq(o,p){
 $(function(){
    $("input:checkbox.proreq").click(function(){
      $("input:checkbox.proreq").not($(this)).removeAttr("checked");
      $(this).attr("checked", $(this).attr("checked"));    
    });
});
 $.post("versolicitudes.php", {idobra:o,pro:p}, function(data){
	 $("#versol").html(data);
	 });
}
function abrir(page, name) {
	    newWindow = window.open(page,name,'directories=no,location=no,status=no,scrollbars=yes,width=700px,height='+screen.height+',left=0,top=0');
  	    newWindow.creator=self;
  	    newWindow.focus(); 
 }
 function controlobra(ido,idpro){
  $(function(){
    $("input:checkbox.co").click(function(){
      $("input:checkbox.co").not($(this)).removeAttr("checked");
      $(this).attr("checked", $(this).attr("checked"));    
    });
});
 
 window.open('controlobra.php?obra='+ido+'&prototipo='+idpro+'', '_blank', 'directories=no,location=no,status=no,scrollbars=yes,top=0,left=0'); 
 return false;
 }